/* Radio button ================ */

:root {
  --radio-button-icon-size: 22px;
  --radio-button-color: var(--color-black-light);
}

.radio-button {
  position: relative;
  display: inline-flex;
  align-items: center;
  padding-left: 35px;
  cursor: pointer;
}

.radio-button__input {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0 0 0 0);

  &:checked {

    ~ .radio-button__icon {
      background-color: var(--radio-button-color);
      box-shadow: inset 0 0 0 4px var(--color-white);
    }
  }

  ~ span.error {
    display: none !important;
  }

  &.error {

    ~ .radio-button__icon {
      border-color: var(--color-error);
    }
  }
}

.radio-button__icon {
  position: absolute;
  top: 50%;
  left: 0;
  width: var(--radio-button-icon-size);
  height: var(--radio-button-icon-size);
  border: 2px solid var(--radio-button-color);
  border-radius: 50%;
  transform: translateY(-50%);
}

.radio-button__label {
  color: var(--radio-button-color);
  font-family: var(--font-pt-sans);
  text-align: left;
}
/* ================ end radio button styles */
